> ## Documentation Index
> Fetch the complete documentation index at: https://cobo.com/developers/llms.txt
> Use this file to discover all available pages before exploring further.

# Register for Babylon airdrop

> This operation initiates a Babylon airdrop registration request. 

Before calling this operation, please ensure the following:
- The Bitcoin (BTC) address is eligible for the Babylon airdrop and has not been registered. You can call the [List wallets eligible for Babylon airdrop](https://www.cobo.com/developers/v2/api-references/stakings/list-wallets-eligible-for-babylon-airdrop) operation to check the registration status.
- The Babylon address has enough asset to pay for the registration fee.
- The Babylon address must be a Babylon address in an MPC Wallet in your organization.

The system first checks whether the provided address is eligible for the Babylon airdrop. If eligible, it creates a unique registration ID, which can be used to track the status. 

The registration is processed asynchronously and may take some time to complete. It is recommended that you regularly call the [Get Babylon airdrop registration details](https://www.cobo.com/developers/v2/api-references/stakings/get-babylon-airdrop-registration-details) operation to check the status and handle registration accordingly.

For more information, refer to [Babylon's official doc](https://github.com/babylonlabs-io/babylon/tree/main/docs).


<Tip>
  Try [Cobo WaaS Skill](/v2/guides/overview/cobo-waas-skill) in your AI coding assistant (Claude Code, Cursor, etc.). Describe your needs in natural language to auto-generate production-ready SDK code and debug faster 🚀
</Tip>

<RequestExample>
  ```python Python theme={null}
  import cobo_waas2
  from cobo_waas2.models.create_babylon_airdrop_registration201_response import (
      CreateBabylonAirdropRegistration201Response,
  )
  from cobo_waas2.models.create_babylon_airdrop_registration_request import (
      CreateBabylonAirdropRegistrationRequest,
  )
  from cobo_waas2.rest import ApiException
  from pprint import pprint

  # See configuration.py for a list of all supported configurations.
  configuration = cobo_waas2.Configuration(
      # Replace `<YOUR_PRIVATE_KEY>` with your private key
      api_private_key="<YOUR_PRIVATE_KEY>",
      # Select the development environment. To use the production environment, change the URL to https://api.cobo.com/v2.
      host="https://api.dev.cobo.com/v2",
  )
  # Enter a context with an instance of the API client
  with cobo_waas2.ApiClient(configuration) as api_client:
      # Create an instance of the API class
      api_instance = cobo_waas2.StakingsApi(api_client)
      create_babylon_airdrop_registration_request = (
          cobo_waas2.CreateBabylonAirdropRegistrationRequest()
      )

      try:
          # Register for Babylon airdrop
          api_response = api_instance.create_babylon_airdrop_registration(
              create_babylon_airdrop_registration_request=create_babylon_airdrop_registration_request
          )
          print("The response of StakingsApi->create_babylon_airdrop_registration:\n")
          pprint(api_response)
      except Exception as e:
          print(
              "Exception when calling StakingsApi->create_babylon_airdrop_registration: %s\n"
              % e
          )

  ```

  ```java Java theme={null}
  // Import classes:
  import com.cobo.waas2.ApiClient;
  import com.cobo.waas2.ApiException;
  import com.cobo.waas2.Configuration;
  import com.cobo.waas2.Env;
  import com.cobo.waas2.api.StakingsApi;
  import com.cobo.waas2.model.*;

  public class Example {
    public static void main(String[] args) {
      ApiClient defaultClient = Configuration.getDefaultApiClient();
      // Select the development environment. To use the production environment, replace `Env.DEV` with
      // `Env.PROD
      defaultClient.setEnv(Env.DEV);

      // Replace `<YOUR_PRIVATE_KEY>` with your private key
      defaultClient.setPrivKey("<YOUR_PRIVATE_KEY>");
      StakingsApi apiInstance = new StakingsApi();
      CreateBabylonAirdropRegistrationRequest createBabylonAirdropRegistrationRequest =
          new CreateBabylonAirdropRegistrationRequest();
      try {
        CreateBabylonAirdropRegistration201Response result =
            apiInstance.createBabylonAirdropRegistration(createBabylonAirdropRegistrationRequest);
        System.out.println(result);
      } catch (ApiException e) {
        System.err.println("Exception when calling StakingsApi#createBabylonAirdropRegistration");
        System.err.println("Status code: " + e.getCode());
        System.err.println("Reason: " + e.getResponseBody());
        System.err.println("Response headers: " + e.getResponseHeaders());
        e.printStackTrace();
      }
    }
  }

  ```

  ```go Go theme={null}
  package main

  import (
  	"context"
  	"fmt"
  	coboWaas2 "github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2"
  	"github.com/CoboGlobal/cobo-waas2-go-sdk/cobo_waas2/crypto"
  	"os"
  )

  func main() {
  	createBabylonAirdropRegistrationRequest := *coboWaas2.NewCreateBabylonAirdropRegistrationRequest()

  	configuration := coboWaas2.NewConfiguration()
  	// Initialize the API client
  	apiClient := coboWaas2.NewAPIClient(configuration)
  	ctx := context.Background()

  	// Select the development environment. To use the production environment, replace coboWaas2.DevEnv with coboWaas2.ProdEnv
  	ctx = context.WithValue(ctx, coboWaas2.ContextEnv, coboWaas2.DevEnv)
  	// Replace `<YOUR_PRIVATE_KEY>` with your private key
  	ctx = context.WithValue(ctx, coboWaas2.ContextPortalSigner, crypto.Ed25519Signer{
  		Secret: "<YOUR_PRIVATE_KEY>",
  	})
  	resp, r, err := apiClient.StakingsAPI.CreateBabylonAirdropRegistration(ctx).
  		CreateBabylonAirdropRegistrationRequest(createBabylonAirdropRegistrationRequest).
  		Execute()
  	if err != nil {
  		fmt.Fprintf(
  			os.Stderr,
  			"Error when calling `StakingsAPI.CreateBabylonAirdropRegistration``: %v\n",
  			err,
  		)
  		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
  	}
  	// response from `CreateBabylonAirdropRegistration`: CreateBabylonAirdropRegistration201Response
  	fmt.Fprintf(
  		os.Stdout,
  		"Response from `StakingsAPI.CreateBabylonAirdropRegistration`: %v\n",
  		resp,
  	)
  }

  ```

  ```javascript JavaScript theme={null}
  const CoboWaas2 = require("@cobo/cobo-waas2");
  // Initialize the API client
  const apiClient = CoboWaas2.ApiClient.instance;
  // Select the development environment. To use the production environment, replace `Env.DEV` with `Env.PROD`
  apiClient.setEnv(CoboWaas2.Env.DEV);
  // Replace `<YOUR_PRIVATE_KEY>` with your private key
  apiClient.setPrivateKey("<YOUR_PRIVATE_KEY>");
  // Call the API
  const apiInstance = new CoboWaas2.StakingsApi();
  const opts = {
    CreateBabylonAirdropRegistrationRequest:
      new CoboWaas2.CreateBabylonAirdropRegistrationRequest(),
  };
  apiInstance.createBabylonAirdropRegistration(opts).then(
    (data) => {
      console.log("API called successfully. Returned data: " + data);
    },
    (error) => {
      console.error(error);
    },
  );

  ```
</RequestExample>


## OpenAPI

````yaml post /stakings/protocols/babylon/airdrops/registrations
openapi: 3.0.3
info:
  title: Cobo Wallet as a Service 2.0
  description: >
    The Cobo Wallet-as-a-Service (WaaS) 2.0 API is the latest version of Cobo's
    WaaS API offering. It enables you to access Cobo's full suite of crypto
    wallet technologies with powerful and flexible access controls. By
    encapsulating complex security protocols and streamlining blockchain
    interactions, this API allows you to concentrate on your core business
    activities without worrying about the safety of your assets. The WaaS 2.0
    API presents the following key features:


    - A unified API for Cobo's [all four wallet
    types](https://manuals.cobo.com/en/portal/introduction#an-all-in-one-wallet-platform)

    - Support for 80+ chains and 3000+ tokens

    - A comprehensive selection of webhook events

    - Flexible usage models for MPC Wallets, including [Organization-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ocw/introduction)
    and [User-Controlled
    Wallets](https://manuals.cobo.com/en/portal/mpc-wallets/ucw/introduction)

    - Programmatic control of smart contract wallets such as Safe{Wallet} with
    fine-grained access controls

    - Seamlessly transfer funds across multiple exchanges, including Binance,
    OKX, Bybit, Deribit, and more


    For more information about the WaaS 2.0 API, see [Introduction to WaaS
    2.0](https://www.cobo.com/developers/v2/guides/overview/introduction).
  termsOfService: https://cobo.com/waas/tos/
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    name: Cobo WaaS
    url: https://www.cobo.com/waas
    email: help@cobo.com
  version: 1.0.0
servers:
  - url: https://api.dev.cobo.com/v2
    description: Development environment
  - url: https://api.cobo.com/v2
    description: Production environment
security:
  - CoboAuth: []
tags:
  - name: Organizations
    description: Operations related to Organizations.
  - name: Wallets
    description: Operations related to all wallets.
  - name: Wallets - MPC Wallets
    description: Operations related to mpc wallet.
  - name: Wallets - Exchange Wallet
    description: Operations related to exchange wallet.
  - name: Wallets - Smart Contract Wallets
    description: Operations related to smart contract wallet.
  - name: Transactions
    description: Operations related to all transactions.
  - name: Developers - Webhooks
    description: Operations related to webhooks.
  - name: Stakings
    description: Operations related to staking.
  - name: OAuth
    description: Operations related to OAuth.
  - name: Developers
    description: Operations related to developers.
  - name: AddressBooks
    description: Operations related to address books.
  - name: TravelRule
    description: Operations related to travel rule.
  - name: GraphQL
    description: Operations related to executing GraphQL queries and mutations.
  - name: PrimeBroker
    description: Operations related to prime broker.
  - name: AppWorkflows
    description: Operations related to app workflow.
  - name: FeeStation
    description: Operations related to fee station.
  - name: Payment
    description: Operations related to payment.
  - name: Batch Payouts
    description: Operations related to batch payouts.
  - name: Tokenization
    description: Operations related to tokenization.
  - name: AutoSweep
    description: Operations related to auto sweep.
  - name: Compliance
    description: Operations related to compliance.
paths:
  /stakings/protocols/babylon/airdrops/registrations:
    post:
      tags:
        - Stakings
      summary: Register for Babylon airdrop
      description: >
        This operation initiates a Babylon airdrop registration request. 


        Before calling this operation, please ensure the following:

        - The Bitcoin (BTC) address is eligible for the Babylon airdrop and has
        not been registered. You can call the [List wallets eligible for Babylon
        airdrop](https://www.cobo.com/developers/v2/api-references/stakings/list-wallets-eligible-for-babylon-airdrop)
        operation to check the registration status.

        - The Babylon address has enough asset to pay for the registration fee.

        - The Babylon address must be a Babylon address in an MPC Wallet in your
        organization.


        The system first checks whether the provided address is eligible for the
        Babylon airdrop. If eligible, it creates a unique registration ID, which
        can be used to track the status. 


        The registration is processed asynchronously and may take some time to
        complete. It is recommended that you regularly call the [Get Babylon
        airdrop registration
        details](https://www.cobo.com/developers/v2/api-references/stakings/get-babylon-airdrop-registration-details)
        operation to check the status and handle registration accordingly.


        For more information, refer to [Babylon's official
        doc](https://github.com/babylonlabs-io/babylon/tree/main/docs).
      operationId: create_babylon_airdrop_registration
      requestBody:
        $ref: '#/components/requestBodies/createBabylonAirdropRegistrationBody'
      responses:
        '201':
          $ref: '#/components/responses/createBabylonAirdropRegistrationResponse'
        4XX:
          $ref: '#/components/responses/badRequestError'
        5XX:
          $ref: '#/components/responses/internalServerError'
components:
  requestBodies:
    createBabylonAirdropRegistrationBody:
      description: The request body to register for the Babylon airdrop.
      content:
        application/json:
          schema:
            type: object
            properties:
              btc_address:
                $ref: '#/components/schemas/StakingSource'
                description: The Bitcoin (BTC) address that was used for staking.
              babylon_address:
                $ref: '#/components/schemas/StakingSource'
                description: The Babylon address used to receive the airdrop.
  responses:
    createBabylonAirdropRegistrationResponse:
      description: Airdrop registration created successfully
      content:
        application/json:
          schema:
            type: object
            properties:
              registration_id:
                type: string
                example: f47ac10b-58cc-4372-a567-0e02b2c3d479
                description: >-
                  The registration ID, a unique identifier for tracking the
                  airdrop registration request. You can check the registration
                  status with the [Get Babylon airdrop registration
                  details](https://www.cobo.com/developers/v2/api-references/stakings/get-babylon-airdrop-registration-details)
                  operation.
    badRequestError:
      description: >-
        Bad request. Your request contains malformed syntax or invalid
        parameters.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    internalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    StakingSource:
      oneOf:
        - $ref: '#/components/schemas/MpcStakeSource'
      discriminator:
        propertyName: source_type
        mapping:
          Org-Controlled:
            $ref: '#/components/schemas/MpcStakeSource'
    ErrorResponse:
      type: object
      description: The response of a failed request.
      required:
        - error_code
        - error_message
        - error_id
      properties:
        error_code:
          type: integer
          description: >-
            The error code. Refer to [Error codes and status
            codes](https://www.cobo.com/developers/v2/api-references/error-codes)
            for more details.
        error_message:
          type: string
          description: The error description.
        error_id:
          type: string
          description: >-
            The error log ID. You can provide the error ID when submitting a
            ticket to help Cobo to locate the issue.
          example: 0b6ddf19083c4bd1a9ca01bec44b24dd
    MpcStakeSource:
      title: Stake from MPC Wallets
      allOf:
        - $ref: '#/components/schemas/BaseStakeSource'
    BaseStakeSource:
      type: object
      description: The information about the staking source.
      required:
        - source_type
        - wallet_id
        - address
      properties:
        source_type:
          $ref: '#/components/schemas/StakeSourceType'
        wallet_id:
          type: string
          format: uuid
          example: f47ac10b-58cc-4372-a567-0e02b2c3d479
          description: The wallet ID.
        address:
          type: string
          description: The wallet address.
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
    StakeSourceType:
      type: string
      enum:
        - Org-Controlled
      example: Org-Controlled
      description: |
        The staking source type. Possible values include:
          - `Org-Controlled`: An MPC Wallet (Organization-Controlled Wallet).
  securitySchemes:
    CoboAuth:
      type: apiKey
      in: header
      name: BIZ-API-KEY
      description: >
        The API key. For more details, refer to [API
        key](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-key).


        In the API playground, enter your [API
        secret](https://www.cobo.com/developers/v2/guides/overview/cobo-auth#api-secret),
        and your API key will be accordingly calculated.

````